/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef DISPLAY_H
#define DISPLAY_H


void  display_destroyDisplay  (void);
void  display_createDisplay   (int winuserdef);
float display_fitLaps         (int pos,
                               int laps,
                               int axis);
void  display_hideCursor      (int dummy);
void  display_reshape         (int width,
                               int height);
void  display_setDefault2D    (void);
void  display_setPickport     (int x,
                               int y);
void  display_switchMode      (void);


#endif /* guard (DISPLAY_H) */
